cPanel面板教程

cPanel面板MultiPHP管理器

cPanel的MultiPHP管理器提供了一个直观的界面来管理和配置Web服务器上的PHP环境,网站管理员可以针对特定的虚拟主机轻松地选择不同的PHP版本,并调整相关的配置选项,进一步优化资源使用和隔离不同网站之间的影响。本篇教程主要介绍cPanel的MultiPHP管理器域名列表和设置域的 PHP 版本。

注意:本教程适用于 94 至最新版本。

一、概述

cPanel的MultiPHP管理器界面使得管理账户的PHP配置变得更加轻松。在该界面中,你可以管理任何虚拟主机的PHP版本或池选项。cPanel面板MultiPHP管理器

系统PHP版本指的是作为所有账户全局默认设置的PHP版本。只有系统管理员才能设置系统PHP版本。任何设置为继承的主域都将使用系统PHP版本。

PHP FastCGI进程管理器(PHP-FPM)是一种可供选择的PHP模块,允许网站处理高负载情况下的请求。PHP-FPM维护池(用于响应PHP请求的工作者),以实现这一目标。这些工作池允许网站处理比正常情况下更多的请求。

二、域列表

域列表显示以下信息:

cPanel面板MultiPHP管理器

1、域的名称。

2、域当前使用的 PHP 版本。

注意:在 EasyApache 4 中,每个域或虚拟主机可以使用任何当前安装的 PHP 版本或当前安装的 PHP-FPM 设置。

3、启用或禁用PHP-FPM 的指示符。

注意:

  • 停放域名是主域名的别名,系统不会列出停放的域;
  • 系统管理员可通过 WHM 的 MultiPHP 管理器界面启用或禁用 PHP-FPM(WHM " 主页 " 软件 " MultiPHP 管理器)。

使用搜索文本框按域名或账户名搜索域。

三、设置域的PHP版本

EasyApache 4 支持 PHP 版本 5.4 至 5.6、PHP 版本 7.0 至 7.4 以及 PHP 8.0 至 8.3。cPanel 默认配置文件包括 PHP 8.1 和 8.2 版本。

要更改域的 PHP 版本,请执行以下步骤:

1、选择要更改的域的复选框。

cPanel面板MultiPHP管理器

2、从 PHP 版本菜单中选择所需的 PHP 版本,要始终使用系统默认值,请选择继承。

cPanel面板MultiPHP管理器

注意:

  • 如果系统管理员推荐任何 PHP 版本,菜单将在其旁边显示推荐标签;
  • 如果将 PHP 版本设为继承,系统将不允许设置 PHP-FPM。要在域上启用 PHP-FPM,必须选择一个非继承的 PHP 版本;
  • 如果想使用的 PHP 版本没有出现,则说明服务器上没有安装该 PHP 版本,或者账户无法使用该版本。系统管理员可以在 WHM 的 EasyApache 4 界面(WHM " 主页 " 软件 " EasyApache 4)上安装;
  • 如果系统管理员限制了域名的 PHP 版本,则无法使用此界面将域名的 PHP 版本恢复到原始版本。

3、单击 "应用"。系统将更改所选域的 PHP 版本。

cPanel面板MultiPHP管理器

4、成功应用后会提示以下界面:

cPanel面板MultiPHP管理器

注意:

  • 当更改域的 PHP 版本且 FPM 已启用时,系统将更改 FPM 版本以匹配 PHP 版本。如果域上未启用 FPM,系统将分别更改 PHP 和 FPM 版本;
  • 如果在主域上启用 FPM,然后更改该域的名称,系统将禁用新域的 FPM。如果希望在新域中使用 FPM,系统管理员或主机提供商必须在新域中重新启用 FPM。
广告合作
QQ群号:707632017

温馨提示:

1、本网站发布的内容(图片、视频和文字)以原创、转载和分享网络内容为主,如果涉及侵权请尽快告知,我们将会在第一时间删除。邮箱:2942802716#qq.com。(#改为@)

2、本站原创内容未经允许不得转裁,转载请注明出处“站长百科”和原文地址。

目录